Bug 206701

Summary: [Mac wk2 Release] fast/dom/frame-src-javascript-url-async.html flaky failing
Product: WebKit Reporter: Jason Lawrence <Lawrence.j>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, graouts, koivisto, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch none

Description Jason Lawrence 2020-01-23 14:11:49 PST
fast/dom/frame-src-javascript-url-async.html

Description:
This test is flaky failing on Mac wk2 release.

History:
https://results.webkit.org/?suite=layout-tests&test=fast%2Fdom%2Fframe-src-javascript-url-async.html

Diff:
--- /Volumes/Data/slave/mojave-release-tests-wk2/build/layout-test-results/fast/dom/frame-src-javascript-url-async-expected.txt
+++ /Volumes/Data/slave/mojave-release-tests-wk2/build/layout-test-results/fast/dom/frame-src-javascript-url-async-actual.txt
@@ -9,11 +9,12 @@
 PASS frame1.contentWindow is initialFrame1Window
 PASS frame1.contentDocument is initialFrame1Document
 PASS frame2.contentWindow is initialFrame2Window
-PASS frame2.contentDocument is not initialFrame2Document
+FAIL frame2.contentDocument should not be [object HTMLDocument].
 PASS frame2.contentWindow is initialFrame2Window
-PASS frame2.contentDocument is not initialFrame2Document
+FAIL frame2.contentDocument should not be [object HTMLDocument].
 PASS frame2.contentDocument.documentElement.textContent is "1"
 PASS successfullyParsed is true
+Some tests failed.
 
 TEST COMPLETE
Comment 1 Radar WebKit Bug Importer 2020-01-23 14:12:15 PST
<rdar://problem/58847864>
Comment 2 Alexey Proskuryakov 2020-01-26 12:37:12 PST
This test has been flakily failing on slower internal bots for as long as history goes. But there is a very sharp increase in frequency in January. Unclear what caused it.
Comment 3 Antti Koivisto 2020-01-27 00:43:49 PST
Created attachment 388837 [details]
patch
Comment 4 Antoine Quint 2020-01-27 02:20:31 PST
Comment on attachment 388837 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=388837&action=review

> LayoutTests/ChangeLog:15
> +        â¦

Might want to get rid of this.
Comment 5 WebKit Commit Bot 2020-01-27 03:20:21 PST
The commit-queue encountered the following flaky tests while processing attachment 388837 [details]:

editing/spelling/spellcheck-async-remove-frame.html bug 158401 (authors: morrita@google.com, rniwa@webkit.org, and tony@chromium.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2020-01-27 03:20:48 PST
Comment on attachment 388837 [details]
patch

Clearing flags on attachment: 388837

Committed r255140: <https://trac.webkit.org/changeset/255140>
Comment 7 WebKit Commit Bot 2020-01-27 03:20:49 PST
All reviewed patches have been landed.  Closing bug.